For long term usage however, you would be advised to start transitioning to the Teensy LC (or 3.2 or even 4.0). Paul has posted that the Teensy 2.0 is nearing the end of its lifetime, so for new...